Webhook deliveries
The team webhook delivery object
Attributes
idstring (uuid)requiredIdentifier for this resource.
teamIdstring (uuid)requiredIdentifier for the team.
projectIdstringrequirednullableIdentifier of the Polymorfa project that owns this resource.
eventIdstring (uuid)requiredIdentifier for the event.
webhookIdstring (uuid)requiredIdentifier for the webhook.
statusstringrequiredCurrent status of this resource or operation.
Allowed valuespendingdeliveringretryingsucceededfailedattemptCountintegerrequiredmin0Number of attempts.
capabilitiesobjectrequiredStructured capabilities values for this management team webhook delivery.
Show 1 child field
payloadAvailabilitystringrequiredSpecifies payload availability for this management team webhook delivery.
Allowed valuesavailablenot_retainedexpiredredactedunavailablereplayableUntilstring (date-time)requirednullableSpecifies replayable until for this management team webhook delivery.
metadataExpiresAtstring (date-time)requiredTimestamp for metadata expires at.
nextAttemptAtstring (date-time)requirednullableTimestamp for next attempt at.
lastAttemptAtstring (date-time)requirednullableTimestamp for last attempt at.
completedAtstring (date-time)requirednullableISO 8601 timestamp when this operation completed.
createdAtstring (date-time)requiredISO 8601 timestamp when this resource was created.
updatedAtstring (date-time)requiredISO 8601 timestamp when this resource was last updated.
lastOutcomeobjectrequirednullableStructured last outcome values for this management team webhook delivery.
Show 2 child fields
{
"id": "00000000-0000-4000-8000-000000000000",
"teamId": "00000000-0000-4000-8000-000000000000",
"projectId": null,
"eventId": "00000000-0000-4000-8000-000000000000",
"webhookId": "00000000-0000-4000-8000-000000000000",
"status": "pending",
"attemptCount": 0,
"capabilities": {
"retryable": true
},
"payloadAvailability": "available",
"replayableUntil": "2026-09-22T12:00:00Z",
"metadataExpiresAt": "2026-09-22T12:00:00Z",
"nextAttemptAt": "2026-09-22T12:00:00Z",
"lastAttemptAt": "2026-09-22T12:00:00Z",
"completedAt": "2026-09-22T12:00:00Z",
"createdAt": "2026-09-22T12:00:00Z",
"updatedAt": "2026-09-22T12:00:00Z",
"lastOutcome": {
"statusCode": 100,
"errorCode": "string"
}
}The project webhook delivery object
Attributes
idstring (uuid)requiredIdentifier for this resource.
teamIdstring (uuid)requiredIdentifier for the team.
projectIdstring (uuid)requiredIdentifier of the Polymorfa project that owns this resource.
eventIdstring (uuid)requiredIdentifier for the event.
webhookIdstring (uuid)requiredIdentifier for the webhook.
statusstringrequiredCurrent status of this resource or operation.
Allowed valuespendingdeliveringretryingsucceededfailedattemptCountintegerrequiredmin0Number of attempts.
capabilitiesobjectrequiredStructured capabilities values for this management project webhook delivery.
Show 1 child field
payloadAvailabilitystringrequiredSpecifies payload availability for this management project webhook delivery.
Allowed valuesavailablenot_retainedexpiredredactedunavailablereplayableUntilstring (date-time)requirednullableSpecifies replayable until for this management project webhook delivery.
metadataExpiresAtstring (date-time)requiredTimestamp for metadata expires at.
nextAttemptAtstring (date-time)requirednullableTimestamp for next attempt at.
lastAttemptAtstring (date-time)requirednullableTimestamp for last attempt at.
completedAtstring (date-time)requirednullableISO 8601 timestamp when this operation completed.
createdAtstring (date-time)requiredISO 8601 timestamp when this resource was created.
updatedAtstring (date-time)requiredISO 8601 timestamp when this resource was last updated.
lastOutcomeobjectrequirednullableStructured last outcome values for this management project webhook delivery.
Show 2 child fields
{
"id": "00000000-0000-4000-8000-000000000000",
"teamId": "00000000-0000-4000-8000-000000000000",
"projectId": "00000000-0000-4000-8000-000000000000",
"eventId": "00000000-0000-4000-8000-000000000000",
"webhookId": "00000000-0000-4000-8000-000000000000",
"status": "pending",
"attemptCount": 0,
"capabilities": {
"retryable": true
},
"payloadAvailability": "available",
"replayableUntil": "2026-09-22T12:00:00Z",
"metadataExpiresAt": "2026-09-22T12:00:00Z",
"nextAttemptAt": "2026-09-22T12:00:00Z",
"lastAttemptAt": "2026-09-22T12:00:00Z",
"completedAt": "2026-09-22T12:00:00Z",
"createdAt": "2026-09-22T12:00:00Z",
"updatedAt": "2026-09-22T12:00:00Z",
"lastOutcome": {
"statusCode": 100,
"errorCode": "string"
}
}List team webhook deliveries
- Base URL
https://api.polymorfa.com- Required permission
webhook-deliveries:read
Lists logical deliveries for team-owned webhooks. Project-owned deliveries are excluded.
Team keys require webhook-deliveries:read. Project tokens are not accepted.
Query parameters
webhookIdstring (uuid)Identifier for the webhook.
eventIdstring (uuid)Identifier for the event.
statusstringCurrent status of this resource or operation.
Allowed valuespendingdeliveringretryingsucceededfailedsincestring (date-time)Specifies since for this query parameter.
untilstring (date-time)Specifies until for this query parameter.
limitintegerrange1–100Specifies limit for this query parameter.
Default25cursorstringSpecifies cursor for this query parameter.
Responses
200Success
dataarray of objectrequiredStructured data carried by this object.
Show 17 child fields
pageobjectrequiredSpecifies page for this schema.
Show 2 child fields
Show 3 headers
400A path, query, or request-body value did not pass validation.
401Missing/invalid credential for this audience.
403Authenticated but lacks the required scope/role/audience.
curl "https://api.polymorfa.com/platform/webhook-deliveries" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"data": [
{
"id": "00000000-0000-4000-8000-000000000000",
"teamId": "00000000-0000-4000-8000-000000000000",
"projectId": null,
"eventId": "00000000-0000-4000-8000-000000000000",
"webhookId": "00000000-0000-4000-8000-000000000000",
"status": "pending",
"attemptCount": 0,
"capabilities": {
"retryable": true
},
"payloadAvailability": "available",
"replayableUntil": "2026-09-22T12:00:00Z",
"metadataExpiresAt": "2026-09-22T12:00:00Z",
"nextAttemptAt": "2026-09-22T12:00:00Z",
"lastAttemptAt": "2026-09-22T12:00:00Z",
"completedAt": "2026-09-22T12:00:00Z",
"createdAt": "2026-09-22T12:00:00Z",
"updatedAt": "2026-09-22T12:00:00Z",
"lastOutcome": {
"statusCode": 100,
"errorCode": "string"
}
}
],
"page": {
"nextCursor": "string",
"hasMore": true
}
}List team webhook delivery attempts
- Base URL
https://api.polymorfa.com- Required permission
webhook-deliveries:read
Lists immutable network attempts for one team webhook delivery.
Team keys require webhook-deliveries:read. Project tokens are not accepted.
Path parameters
deliveryIdstring (uuid)requiredIdentifier for the delivery.
Query parameters
limitintegerrange1–100Specifies limit for this query parameter.
Default25cursorstringSpecifies cursor for this query parameter.
Responses
200Success
dataarray of objectrequiredStructured data carried by this object.
Show 14 child fields
pageobjectrequiredSpecifies page for this schema.
Show 2 child fields
Show 3 headers
400A path, query, or request-body value did not pass validation.
401Missing/invalid credential for this audience.
403Authenticated but lacks the required scope/role/audience.
404The requested resource was not found inside the authenticated team or project scope.
curl "https://api.polymorfa.com/platform/webhook-deliveries/<deliveryId>/attempts" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"data": [
{
"id": "00000000-0000-4000-8000-000000000000",
"teamId": "00000000-0000-4000-8000-000000000000",
"projectId": null,
"deliveryId": "00000000-0000-4000-8000-000000000000",
"number": 1,
"status": "pending",
"startedAt": "2026-09-22T12:00:00Z",
"completedAt": "2026-09-22T12:00:00Z",
"nextRetryAt": "2026-09-22T12:00:00Z",
"durationMs": 0,
"statusCode": 100,
"errorCode": "string",
"response": {
"contentType": "string",
"excerpt": "string",
"truncated": true
},
"metadataExpiresAt": "2026-09-22T12:00:00Z"
}
],
"page": {
"nextCursor": "string",
"hasMore": true
}
}List project webhook deliveries
- Base URL
https://api.polymorfa.com- Required permission
webhook-deliveries:read
Lists logical webhook deliveries owned by the exact project in the route.
Requires webhook-deliveries:read. Project tokens only access resources in their own project.
Path parameters
projectIdstring (uuid)requiredIdentifier of the Polymorfa project that owns this resource.
Query parameters
webhookIdstring (uuid)Identifier for the webhook.
eventIdstring (uuid)Identifier for the event.
statusstringCurrent status of this resource or operation.
Allowed valuespendingdeliveringretryingsucceededfailedsincestring (date-time)Specifies since for this query parameter.
untilstring (date-time)Specifies until for this query parameter.
limitintegerrange1–100Specifies limit for this query parameter.
Default25cursorstringSpecifies cursor for this query parameter.
Responses
200Success
dataarray of objectrequiredStructured data carried by this object.
Show 17 child fields
pageobjectrequiredSpecifies page for this schema.
Show 2 child fields
Show 3 headers
400A path, query, or request-body value did not pass validation.
401Missing/invalid credential for this audience.
403Authenticated but lacks the required scope/role/audience.
404The requested resource was not found inside the authenticated team or project scope.
curl "https://api.polymorfa.com/platform/projects/<projectId>/webhook-deliveries" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"data": [
{
"id": "00000000-0000-4000-8000-000000000000",
"teamId": "00000000-0000-4000-8000-000000000000",
"projectId": "00000000-0000-4000-8000-000000000000",
"eventId": "00000000-0000-4000-8000-000000000000",
"webhookId": "00000000-0000-4000-8000-000000000000",
"status": "pending",
"attemptCount": 0,
"capabilities": {
"retryable": true
},
"payloadAvailability": "available",
"replayableUntil": "2026-09-22T12:00:00Z",
"metadataExpiresAt": "2026-09-22T12:00:00Z",
"nextAttemptAt": "2026-09-22T12:00:00Z",
"lastAttemptAt": "2026-09-22T12:00:00Z",
"completedAt": "2026-09-22T12:00:00Z",
"createdAt": "2026-09-22T12:00:00Z",
"updatedAt": "2026-09-22T12:00:00Z",
"lastOutcome": {
"statusCode": 100,
"errorCode": "string"
}
}
],
"page": {
"nextCursor": "string",
"hasMore": true
}
}List project webhook delivery attempts
- Base URL
https://api.polymorfa.com- Required permission
webhook-deliveries:read
Lists immutable network attempts for one project webhook delivery.
Requires webhook-deliveries:read. Project tokens only access resources in their own project.
Path parameters
projectIdstring (uuid)requiredIdentifier of the Polymorfa project that owns this resource.
deliveryIdstring (uuid)requiredIdentifier for the delivery.
Query parameters
limitintegerrange1–100Specifies limit for this query parameter.
Default25cursorstringSpecifies cursor for this query parameter.
Responses
200Success
dataarray of objectrequiredStructured data carried by this object.
Show 14 child fields
pageobjectrequiredSpecifies page for this schema.
Show 2 child fields
Show 3 headers
400A path, query, or request-body value did not pass validation.
401Missing/invalid credential for this audience.
403Authenticated but lacks the required scope/role/audience.
404The requested resource was not found inside the authenticated team or project scope.
curl "https://api.polymorfa.com/platform/projects/<projectId>/webhook-deliveries/<deliveryId>/attempts" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"data": [
{
"id": "00000000-0000-4000-8000-000000000000",
"teamId": "00000000-0000-4000-8000-000000000000",
"projectId": "00000000-0000-4000-8000-000000000000",
"deliveryId": "00000000-0000-4000-8000-000000000000",
"number": 1,
"status": "pending",
"startedAt": "2026-09-22T12:00:00Z",
"completedAt": "2026-09-22T12:00:00Z",
"nextRetryAt": "2026-09-22T12:00:00Z",
"durationMs": 0,
"statusCode": 100,
"errorCode": "string",
"response": {
"contentType": "string",
"excerpt": "string",
"truncated": true
},
"metadataExpiresAt": "2026-09-22T12:00:00Z"
}
],
"page": {
"nextCursor": "string",
"hasMore": true
}
}Get team webhook delivery
- Base URL
https://api.polymorfa.com- Required permission
webhook-deliveries:read
Returns one logical team webhook delivery.
Team keys require webhook-deliveries:read. Project tokens are not accepted.
Path parameters
deliveryIdstring (uuid)requiredIdentifier for the delivery.
Responses
200Success
dataobjectrequiredStructured data carried by this object.
Show 17 child fields
Show 3 headers
400A path, query, or request-body value did not pass validation.
401Missing/invalid credential for this audience.
403Authenticated but lacks the required scope/role/audience.
404The requested resource was not found inside the authenticated team or project scope.
curl "https://api.polymorfa.com/platform/webhook-deliveries/<deliveryId>" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"data": {
"id": "00000000-0000-4000-8000-000000000000",
"teamId": "00000000-0000-4000-8000-000000000000",
"projectId": null,
"eventId": "00000000-0000-4000-8000-000000000000",
"webhookId": "00000000-0000-4000-8000-000000000000",
"status": "pending",
"attemptCount": 0,
"capabilities": {
"retryable": true
},
"payloadAvailability": "available",
"replayableUntil": "2026-09-22T12:00:00Z",
"metadataExpiresAt": "2026-09-22T12:00:00Z",
"nextAttemptAt": "2026-09-22T12:00:00Z",
"lastAttemptAt": "2026-09-22T12:00:00Z",
"completedAt": "2026-09-22T12:00:00Z",
"createdAt": "2026-09-22T12:00:00Z",
"updatedAt": "2026-09-22T12:00:00Z",
"lastOutcome": {
"statusCode": 100,
"errorCode": "string"
}
}
}Get team webhook delivery attempt
- Base URL
https://api.polymorfa.com- Required permission
webhook-deliveries:read
Returns one immutable network attempt.
Team keys require webhook-deliveries:read. Project tokens are not accepted.
Path parameters
deliveryIdstring (uuid)requiredIdentifier for the delivery.
attemptIdstring (uuid)requiredIdentifier for the attempt.
Responses
200Success
dataobjectrequiredStructured data carried by this object.
Show 14 child fields
Show 3 headers
400A path, query, or request-body value did not pass validation.
401Missing/invalid credential for this audience.
403Authenticated but lacks the required scope/role/audience.
404The requested resource was not found inside the authenticated team or project scope.
curl "https://api.polymorfa.com/platform/webhook-deliveries/<deliveryId>/attempts/<attemptId>" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"data": {
"id": "00000000-0000-4000-8000-000000000000",
"teamId": "00000000-0000-4000-8000-000000000000",
"projectId": null,
"deliveryId": "00000000-0000-4000-8000-000000000000",
"number": 1,
"status": "pending",
"startedAt": "2026-09-22T12:00:00Z",
"completedAt": "2026-09-22T12:00:00Z",
"nextRetryAt": "2026-09-22T12:00:00Z",
"durationMs": 0,
"statusCode": 100,
"errorCode": "string",
"response": {
"contentType": "string",
"excerpt": "string",
"truncated": true
},
"metadataExpiresAt": "2026-09-22T12:00:00Z"
}
}Get project webhook delivery
- Base URL
https://api.polymorfa.com- Required permission
webhook-deliveries:read
Returns one logical webhook delivery owned by the exact project.
Requires webhook-deliveries:read. Project tokens only access resources in their own project.
Path parameters
projectIdstring (uuid)requiredIdentifier of the Polymorfa project that owns this resource.
deliveryIdstring (uuid)requiredIdentifier for the delivery.
Responses
200Success
dataobjectrequiredStructured data carried by this object.
Show 17 child fields
Show 3 headers
400A path, query, or request-body value did not pass validation.
401Missing/invalid credential for this audience.
403Authenticated but lacks the required scope/role/audience.
404The requested resource was not found inside the authenticated team or project scope.
curl "https://api.polymorfa.com/platform/projects/<projectId>/webhook-deliveries/<deliveryId>" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"data": {
"id": "00000000-0000-4000-8000-000000000000",
"teamId": "00000000-0000-4000-8000-000000000000",
"projectId": "00000000-0000-4000-8000-000000000000",
"eventId": "00000000-0000-4000-8000-000000000000",
"webhookId": "00000000-0000-4000-8000-000000000000",
"status": "pending",
"attemptCount": 0,
"capabilities": {
"retryable": true
},
"payloadAvailability": "available",
"replayableUntil": "2026-09-22T12:00:00Z",
"metadataExpiresAt": "2026-09-22T12:00:00Z",
"nextAttemptAt": "2026-09-22T12:00:00Z",
"lastAttemptAt": "2026-09-22T12:00:00Z",
"completedAt": "2026-09-22T12:00:00Z",
"createdAt": "2026-09-22T12:00:00Z",
"updatedAt": "2026-09-22T12:00:00Z",
"lastOutcome": {
"statusCode": 100,
"errorCode": "string"
}
}
}Get project webhook delivery attempt
- Base URL
https://api.polymorfa.com- Required permission
webhook-deliveries:read
Returns one immutable network attempt owned by the exact project.
Requires webhook-deliveries:read. Project tokens only access resources in their own project.
Path parameters
projectIdstring (uuid)requiredIdentifier of the Polymorfa project that owns this resource.
deliveryIdstring (uuid)requiredIdentifier for the delivery.
attemptIdstring (uuid)requiredIdentifier for the attempt.
Responses
200Success
dataobjectrequiredStructured data carried by this object.
Show 14 child fields
Show 3 headers
400A path, query, or request-body value did not pass validation.
401Missing/invalid credential for this audience.
403Authenticated but lacks the required scope/role/audience.
404The requested resource was not found inside the authenticated team or project scope.
curl "https://api.polymorfa.com/platform/projects/<projectId>/webhook-deliveries/<deliveryId>/attempts/<attemptId>" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"data": {
"id": "00000000-0000-4000-8000-000000000000",
"teamId": "00000000-0000-4000-8000-000000000000",
"projectId": "00000000-0000-4000-8000-000000000000",
"deliveryId": "00000000-0000-4000-8000-000000000000",
"number": 1,
"status": "pending",
"startedAt": "2026-09-22T12:00:00Z",
"completedAt": "2026-09-22T12:00:00Z",
"nextRetryAt": "2026-09-22T12:00:00Z",
"durationMs": 0,
"statusCode": 100,
"errorCode": "string",
"response": {
"contentType": "string",
"excerpt": "string",
"truncated": true
},
"metadataExpiresAt": "2026-09-22T12:00:00Z"
}
}Retry team webhook delivery
- Base URL
https://api.polymorfa.com- Required permission
webhook-deliveries:retry
Appends a new immutable attempt to the same logical delivery.
Team keys require webhook-deliveries:retry. Project tokens are not accepted.
Path parameters
deliveryIdstring (uuid)requiredIdentifier for the delivery.
Headers
Idempotency-Keystringrequiredlength1–255Specifies idempotency key for this header parameter.
Responses
200Success
dataobjectrequiredStructured data carried by this object.
Show 4 child fields
Show 3 headers
400A path, query, or request-body value did not pass validation.
401Missing/invalid credential for this audience.
403Authenticated but lacks the required scope/role/audience.
404The requested resource was not found inside the authenticated team or project scope.
409The request conflicts with the resource's current state.
422The retained payload is unavailable or no longer replayable.
curl -X POST "https://api.polymorfa.com/platform/webhook-deliveries/<deliveryId>/retry" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Idempotency-Key: <idempotency_key>"{
"data": {
"operationId": "00000000-0000-4000-8000-000000000000",
"idempotency": {
"id": "00000000-0000-4000-8000-000000000000",
"key": "string",
"replayed": true,
"createdAt": "2026-09-22T12:00:00Z",
"expiresAt": "2026-09-22T12:00:00Z"
},
"deliveryId": "00000000-0000-4000-8000-000000000000",
"attemptId": "00000000-0000-4000-8000-000000000000"
}
}Retry project webhook delivery
- Base URL
https://api.polymorfa.com- Required permission
webhook-deliveries:retry
Appends a new immutable attempt to the same logical delivery owned by the exact project.
Requires webhook-deliveries:retry. Project tokens only access resources in their own project.
Path parameters
projectIdstring (uuid)requiredIdentifier of the Polymorfa project that owns this resource.
deliveryIdstring (uuid)requiredIdentifier for the delivery.
Headers
Idempotency-Keystringrequiredlength1–255Specifies idempotency key for this header parameter.
Responses
200Success
dataobjectrequiredStructured data carried by this object.
Show 4 child fields
Show 3 headers
400A path, query, or request-body value did not pass validation.
401Missing/invalid credential for this audience.
403Authenticated but lacks the required scope/role/audience.
404The requested resource was not found inside the authenticated team or project scope.
409The request conflicts with the resource's current state.
422The retained payload is unavailable or no longer replayable.
curl -X POST "https://api.polymorfa.com/platform/projects/<projectId>/webhook-deliveries/<deliveryId>/retry" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Idempotency-Key: <idempotency_key>"{
"data": {
"operationId": "00000000-0000-4000-8000-000000000000",
"idempotency": {
"id": "00000000-0000-4000-8000-000000000000",
"key": "string",
"replayed": true,
"createdAt": "2026-09-22T12:00:00Z",
"expiresAt": "2026-09-22T12:00:00Z"
},
"deliveryId": "00000000-0000-4000-8000-000000000000",
"attemptId": "00000000-0000-4000-8000-000000000000"
}
}